/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package bo;

/**
 *
 * @author sameldin
 */
import dataobjects.*;
import constants.*;
import integer_division_operator.*;
import integer_division_operator_exceptions.*;
import sam_logger_services.SamLoggerClass;

public class TestIntegerDivisionOperatorBO 
{

    public TestIntegerDivisionOperatorBO()
    {    
        // logging
        SamLoggerClass.writeToLog(new Exception().getStackTrace()[0].getMethodName(), new Exception().getStackTrace()[0].getClassName());            
        
        IntegerDivisionOperator localIntegerDivisionOperator = new IntegerDivisionOperator();
        System.out.println("=====  Start Testing #1 =====================");
        IntegerDivisionOperatorDAO toPrintIntegerDivisionOperatorDAO = localIntegerDivisionOperator.doIntegerDivision(0, 0);
        System.out.println("Numerator    = " + toPrintIntegerDivisionOperatorDAO.getNumerator());
        System.out.println("Denominator  = " + toPrintIntegerDivisionOperatorDAO.getDenominator());
        System.out.println("Quotient     = " + toPrintIntegerDivisionOperatorDAO.getQuotient());
        System.out.println("Remainder    = " + toPrintIntegerDivisionOperatorDAO.getRemainder());
        System.out.println("ErrorMessage : " + toPrintIntegerDivisionOperatorDAO.getErrorMessage());
        System.out.println("================================================================================");
        System.out.println("================================================================================");
        System.out.println("=====  Start Testing #2 =====================");
        toPrintIntegerDivisionOperatorDAO = localIntegerDivisionOperator.doIntegerDivision(0, 5);
        System.out.println("Numerator    = " + toPrintIntegerDivisionOperatorDAO.getNumerator());
        System.out.println("Denominator  = " + toPrintIntegerDivisionOperatorDAO.getDenominator());
        System.out.println("Quotient     = " + toPrintIntegerDivisionOperatorDAO.getQuotient());
        System.out.println("Remainder    = " + toPrintIntegerDivisionOperatorDAO.getRemainder());
        System.out.println("ErrorMessage : " + toPrintIntegerDivisionOperatorDAO.getErrorMessage());
        System.out.println("================================================================================");
        System.out.println("================================================================================");
        System.out.println("=====  Start Testing #2 =====================");
        toPrintIntegerDivisionOperatorDAO = localIntegerDivisionOperator.doIntegerDivision(5, 0);
        System.out.println("Numerator    = " + toPrintIntegerDivisionOperatorDAO.getNumerator());
        System.out.println("Denominator  = " + toPrintIntegerDivisionOperatorDAO.getDenominator());
        System.out.println("Quotient     = " + toPrintIntegerDivisionOperatorDAO.getQuotient());
        System.out.println("Remainder    = " + toPrintIntegerDivisionOperatorDAO.getRemainder());
        System.out.println("ErrorMessage : " + toPrintIntegerDivisionOperatorDAO.getErrorMessage());
        System.out.println("================================================================================");
        System.out.println("================================================================================");
        System.out.println("=====  Start Testing #2 =====================");
        toPrintIntegerDivisionOperatorDAO = localIntegerDivisionOperator.doIntegerDivision(12, -5);
        System.out.println("Numerator    = " + toPrintIntegerDivisionOperatorDAO.getNumerator());
        System.out.println("Denominator  = " + toPrintIntegerDivisionOperatorDAO.getDenominator());
        System.out.println("Quotient     = " + toPrintIntegerDivisionOperatorDAO.getQuotient());
        System.out.println("Remainder    = " + toPrintIntegerDivisionOperatorDAO.getRemainder());
        System.out.println("ErrorMessage : " + toPrintIntegerDivisionOperatorDAO.getErrorMessage());
        System.out.println("================================================================================");
        System.out.println("================================================================================");
        System.out.println("=====  Start Testing #2 =====================");
        toPrintIntegerDivisionOperatorDAO = localIntegerDivisionOperator.doIntegerDivision(-12, -5);
        System.out.println("Numerator    = " + toPrintIntegerDivisionOperatorDAO.getNumerator());
        System.out.println("Denominator  = " + toPrintIntegerDivisionOperatorDAO.getDenominator());
        System.out.println("Quotient     = " + toPrintIntegerDivisionOperatorDAO.getQuotient());
        System.out.println("Remainder    = " + toPrintIntegerDivisionOperatorDAO.getRemainder());
        System.out.println("ErrorMessage : " + toPrintIntegerDivisionOperatorDAO.getErrorMessage());
        System.out.println("================================================================================");
        System.out.println("============================   End  ============================================");        
    }
    /*
     * 
     * 
     */
    public int checkAuthorName(String authorName) throws IntegerDivisionOperatorException
    {
        // logging
        SamLoggerClass.writeToLog(new Exception().getStackTrace()[0].getMethodName(), new Exception().getStackTrace()[0].getClassName());            
        
        if(!authorName.equalsIgnoreCase(IntegerDivisionOperatorConstants.AUTHOR))
        {
            String message = "IntegerDivisionOperatorException\n author must be Sam\n cannot do that";
            throw new IntegerDivisionOperatorException(message);
        }
        return(IntegerDivisionOperatorConstants.SUCCESS);        
    }
    /**
     *
    */
    public static void main (String[] args)
    {
        // logging
        SamLoggerClass.writeToLog(new Exception().getStackTrace()[0].getMethodName(), new Exception().getStackTrace()[0].getClassName());            
        
        TestIntegerDivisionOperatorBO localTestIntegerDivisionOperatorBO = new TestIntegerDivisionOperatorBO();
        try
        {
            localTestIntegerDivisionOperatorBO.checkAuthorName("joe");
        }
        catch(IntegerDivisionOperatorException e)
        {
            System.out.println("===============> make sure it is Sam ===============");        
        }
    }    
    
}
