/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package most_popular_sequence;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

/**
 *
 * @author sameldin
 */
import dataobjects.*;
import constants.*;
import sam_logger_services.SamLoggerClass;

public class FindMostPopularSequenceClass 
{
    
    public FindMostPopularSequenceClass()
    {
        
    }
    /**
     *
    */
    public void loadCustomerID_PageTypeInotID_List(String inputFileName)
    {
        FileReader          fileReaderHandle;
        BufferedReader      bufferedReaderHandle;
	String inputString  = "";
	String cvsSplitBy   = MostPopularSequenceConstants.COMMA_SPLIT;

        try
        {
            fileReaderHandle = new FileReader(inputFileName);
            bufferedReaderHandle = new BufferedReader(fileReaderHandle);
            inputString = bufferedReaderHandle.readLine();
            //inputString = inputString.trim();
            // use comma as separator
            String[] valuesList;
            String      customerID = "";
            String      pageType   = "";
            while(inputString != null)
            {
                valuesList = inputString.split(cvsSplitBy);
                if(valuesList.length > 1)
                {
                    customerID = valuesList[0];
                    pageType   = valuesList[1];                    
                }
                inputString = bufferedReaderHandle.readLine();
            }
            bufferedReaderHandle.close();
        }
        catch (FileNotFoundException eFileNotFoundException)
        {
            System.out.println("\n" + inputFileName + " Can not find input file.");
        }
        catch (IOException eIOException)
        {
            System.out.println("\n Can not create output file.");
        }
    }
    /**
     *
    */
    public static void main (String[] args)
    {
        System.out.println("=====  start =====================");
        FindMostPopularSequenceClass localFindMostPopularSequenceClass = new FindMostPopularSequenceClass();
//        String  filename = MostPopularSequenceConstants.DATA_FILE_FOLDER_PATH + "\\" + MostPopularSequenceConstants.INPUT_FILE_NAME;
        String  filename = MostPopularSequenceConstants.INPUT_FILE_NAME;
        localFindMostPopularSequenceClass.loadCustomerID_PageTypeInotID_List(filename);
        System.out.println("=========================="); 
        SamLoggerClass.writeToLog(new Exception().getStackTrace()[0].getMethodName(), new Exception().getStackTrace()[0].getClassName());
    }    
    
}
